package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class ReserveOnlineEntity(
    @SerializedName("games")
    private val _games: List<GameEntity>? = null,
    @SerializedName("wifi_auto_download_total")
    private val _wifiAutoDownloadTotal: Int? = null,
    @SerializedName("games_total")
    private val _gamesTotal: Int? = null
) : Parcelable {

    val games: List<GameEntity>
        get() = _games ?: emptyList()

    val wifiAutoDownloadTotal: Int
        get() = _wifiAutoDownloadTotal ?: 0

    val gamesTotal: Int
        get() = _gamesTotal ?: 0
}